unit uConfGeneral;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uFrameConfiguracion, StdCtrls, ExtCtrls;

type
  TfrConfGeneral = class(TFrameConfiguracion)
    GroupBox1: TGroupBox;
    Label2: TLabel;
    edtPort: TEdit;
    cbInicioWin: TCheckBox;
    procedure edtPortExit(Sender: TObject);
  private
    { Private declarations }
  protected
    procedure Finalize; override;
  public
    procedure Init; override;
  end;

var
  frConfGeneral: TfrConfGeneral;

implementation

uses uDataModuleServer;

{$R *.dfm}

{ TfrConfGeneral }

procedure TfrConfGeneral.Finalize;
begin
  inherited;
  dmServer.FInicioWindows := cbInicioWin.Checked;
  dmServer.FServerPort := edtPort.Text;
end;

procedure TfrConfGeneral.Init;
begin
  cbInicioWin.Checked := dmServer.FInicioWindows;
  edtPort.Text := dmServer.FServerPort;
end;

procedure TfrConfGeneral.edtPortExit(Sender: TObject);
begin
  inherited;
  if Length(edtPort.Text) = 0 then
    edtPort.Text := '8099';
end;

end.
